<?php

/**
 * Demo importer custom function
 * We use https://wordpress.org/plugins/one-click-demo-import/ to import our demo content
 */

/**
 * Define demo file
 */
function flashmagz_import_files() {
    return [
        [
            'import_file_name'             => 'Flashmagz',
            'local_import_file'            => get_template_directory() . '/inc/demo/dummy-data.xml',
            'local_import_widget_file'     => get_template_directory() . '/inc/demo/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/inc/demo/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/screenshot.png',
            'preview_url'                  => 'https://www.happythemes.com/demo/flashmagz/',
        ]
    ];
}
add_filter('ocdi/import_files', 'flashmagz_import_files');

/**
 * Before import action
 */
function flashmagz_before_content_import() {
    add_filter('sidebars_widgets', 'flashmagz_disable_all_widgets');
}
add_action('ocdi/before_content_import', 'flashmagz_before_content_import');

/**
 * After import function
 */
function flashmagz_after_import_setup() {

    // Assign menus to their locations.
    $primary = get_term_by('name', 'Main Menu', 'nav_menu');
    $footer  = get_term_by('name', 'Footer Menu', 'nav_menu');

    set_theme_mod(
        'nav_menu_locations',
        [
            'primary' => $primary->term_id,
            'footer'  => $footer->term_id
        ]
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title('Home');

    update_option('show_on_front', 'page');
    update_option('page_on_front', $front_page_id->ID);

    // Assing correct tag for featured posts.
    $tag = get_term_by('slug', 'twitter', 'post_tag');
    set_theme_mod('flashmagz-featured-tag', $tag->term_id);

    // Change default category
    $cat = get_term_by('slug', 'news', 'category');
    update_option('default_category', $cat->term_id);
    wp_delete_category(1);
}
add_action('ocdi/after_import', 'flashmagz_after_import_setup');

/**
 * Disable all widgets
 */
function flashmagz_disable_all_widgets($sidebars_widgets) {
    unset($sidebars_widgets['$sidebar_id']);
    return $sidebars_widgets;
}
