<?php

/**
 * Loads the theme styles & scripts.
 *
 * @since 1.0.0
 * @link  http://codex.wordpress.org/Function_Reference/wp_enqueue_script
 * @link  http://codex.wordpress.org/Function_Reference/wp_enqueue_style
 */
function flashmagz_enqueue() {

    // Load plugins stylesheet
    wp_enqueue_style('flashmagz-animate', get_template_directory_uri() . '/assets/css/animate.min.css');
    wp_enqueue_style('flashmagz-fontawesome', get_template_directory_uri() . '/assets/css/font-awesome.min.css');

    // Load main stylesheet
    wp_enqueue_style('flashmagz-style', get_stylesheet_uri());

    // Load responsive stylesheet
    wp_enqueue_style('flashmagz-responsive', get_template_directory_uri() . '/responsive.css');

    // Load js.
    wp_enqueue_script('flashmagz-fitvids', get_template_directory_uri() . '/assets/js/jquery.fitvids.js', array('jquery'), null, true);
    wp_enqueue_script('flashmagz-slicknav', get_template_directory_uri() . '/assets/js/jquery.slicknav.min.js', array('jquery'), null, true);
    wp_enqueue_script('flashmagz-superfish', get_template_directory_uri() . '/assets/js/superfish.min.js', array('jquery'), null, true);
    wp_enqueue_script('flashmagz-hoverintent', get_template_directory_uri() . '/assets/js/hoverIntent.js', array('jquery'), null, true);
    wp_enqueue_script('flashmagz-modal', get_template_directory_uri() . '/assets/js/jquery.leanModal.min.js', array('jquery'), null, true);
    wp_enqueue_script('flashmagz-matchHeight', get_template_directory_uri() . '/assets/js/jquery.matchHeight.js', array('jquery'), null, true);
    wp_enqueue_script('flashmagz-main', get_template_directory_uri() . '/assets/js/main.js', array('jquery'), null, true);

    // js / no-js script.
    wp_add_inline_script('flashmagz-main', "document.documentElement.className = document.documentElement.className.replace(/\bno-js\b/,'js');");

    // If child theme is active, load the stylesheet.
    if (is_child_theme()) {
        wp_enqueue_style('flashmagz-child-style', get_stylesheet_uri());
    }

    // Load comment-reply script.
    if (is_singular() && comments_open() && get_option('thread_comments')) {
        wp_enqueue_script('comment-reply');
    }
}
add_action('wp_enqueue_scripts', 'flashmagz_enqueue');
