<?php

/**
 * Category color
 */

if (!function_exists('flashmagz_customizer_category_styles') && class_exists('Customizer_Library_Styles')) :
    /**
     * Process user options to generate CSS needed to implement the choices.
     *
     * @since  1.0.0
     */
    function flashmagz_customizer_category_styles() {

        // Theme prefix
        $prefix = 'flashmagz-';

        // Get all categories
        $categories = get_categories();

        foreach ($categories as $cat) {
            $category_color = flashmagz_mod($prefix . 'category-color-' . (int) $cat->term_id);
            if ($category_color !== customizer_library_get_default($prefix . 'category-color-' . (int) $cat->term_id)) {

                $color = sanitize_hex_color($category_color);

                Customizer_Library_Styles()->add(array(
                    'selectors' => array(
                        '.featured-primary .category-id-' . $cat->term_id,
                        '.featured-secondary .category-id-' . $cat->term_id,
                        '.widget .category-id-' . $cat->term_id,
                        '.listing-2-col .category-id-' . $cat->term_id . ' a',
                    ),
                    'declarations' => array(
                        'background-color' => $color
                    )
                ));
            } else {
                $color = sanitize_hex_color($category_color);

                Customizer_Library_Styles()->add(array(
                    'selectors' => array(
                        '.featured-primary .category-id-' . $cat->term_id,
                        '.featured-secondary .category-id-' . $cat->term_id,
                        '.widget .category-id-' . $cat->term_id,
                        '.listing-2-col .category-id-' . $cat->term_id . ' a',
                    ),
                    'declarations' => array(
                        'background-color' => $color
                    )
                ));
            }
        }
    }
endif;
add_action('flashmagz_customizer_library_styles', 'flashmagz_customizer_category_styles');
