<?php

/**
 * Fonts
 */

if (!function_exists('flashmagz_customizer_fonts') && class_exists('Customizer_Library_Styles')) :
    /**
     * Process user options to generate CSS needed to implement the choices.
     *
     * @since  1.0.0
     */
    function flashmagz_customizer_fonts() {

        // Theme prefix
        $prefix = 'flashmagz-';

        // Text font
        $text  = flashmagz_mod($prefix . 'text-font');
        $stack = customizer_library_get_font_stack($text);

        if ($text !== customizer_library_get_default($prefix . 'text-font')) {

            Customizer_Library_Styles()->add(array(
                'selectors' => array(
                    'body'
                ),
                'declarations' => array(
                    'font-family' => $stack
                )
            ));
        }

        // Heading font
        $heading = flashmagz_mod($prefix . 'heading-font');
        $stack   = customizer_library_get_font_stack($heading);

        if ($heading !== customizer_library_get_default($prefix . 'heading-font')) {

            Customizer_Library_Styles()->add(array(
                'selectors' => array(
                    'h1',
                    'h2',
                    'h3',
                    'h4',
                    'h5',
                    'h6',
                ),
                'declarations' => array(
                    'font-family' => $stack
                )
            ));
        }
    }
endif;
add_action('flashmagz_customizer_library_styles', 'flashmagz_customizer_fonts');

if (!function_exists('flashmagz_enqueue_fonts')) :
    /**
     * Enqueue Google Fonts
     *
     * @since  1.0.0
     */
    function flashmagz_enqueue_fonts() {

        // Theme prefix
        $prefix = 'flashmagz-';

        // Font options
        $fonts = array(
            flashmagz_mod($prefix . 'text-font'),
            flashmagz_mod($prefix . 'heading-font')
        );

        $font_uri = customizer_library_get_google_font_uri($fonts);

        // Load Google Fonts
        wp_enqueue_style('flashmagz-custom-fonts', $font_uri, array(), null);
    }
endif;
add_action('wp_enqueue_scripts', 'flashmagz_enqueue_fonts');
