<?php

/**
 * Header color
 */

if (!function_exists('flashmagz_customizer_header_styles') && class_exists('Customizer_Library_Styles')) :
    /**
     * Process user options to generate CSS needed to implement the choices.
     *
     * @since  1.0.0
     */
    function flashmagz_customizer_header_styles() {

        // Theme prefix
        $prefix = 'flashmagz-';

        // Header Background Color
        $header = flashmagz_mod($prefix . 'header-color');

        if ($header !== customizer_library_get_default($prefix . 'header-color')) {

            $color = sanitize_hex_color($header);

            Customizer_Library_Styles()->add(array(
                'selectors' => array(
                    '#masthead'
                ),
                'declarations' => array(
                    'background-color' => $color
                )
            ));
        }

        // Site title color
        $title = flashmagz_mod($prefix . 'site-title-color');

        if ($title !== customizer_library_get_default($prefix . 'site-title-color')) {

            $color = sanitize_hex_color($title);

            Customizer_Library_Styles()->add(array(
                'selectors' => array(
                    '#masthead .site-title a'
                ),
                'declarations' => array(
                    'color' => $color
                )
            ));
        }
    }
endif;
add_action('flashmagz_customizer_library_styles', 'flashmagz_customizer_header_styles');
