<?php
// Theme prefix
$prefix = 'flashmagz-';

// Get the customizer value.
$thumb       = flashmagz_mod($prefix . 'archive-thumbnail');
$excerpt     = flashmagz_mod($prefix . 'archive-excerpt');
$meta        = flashmagz_mod($prefix . 'archive-meta');
$excerpt_num = flashmagz_mod($prefix . 'archive-excerpt-limit');
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?> <?php hybrid_attr('post'); ?>>

    <?php if ($thumb && has_post_thumbnail()) : ?>
        <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('medium', array('class' => 'entry-thumbnail', 'alt' => esc_attr(get_the_title()))); ?></a>
    <?php endif; ?>

    <header class="entry-header">
        <?php the_title(sprintf('<h2 class="entry-title" ' . hybrid_get_attr('entry-title') . '><a href="%s" rel="bookmark" itemprop="url">', esc_url(get_permalink())), '</a></h2>'); ?>
    </header><!-- .entry-header -->

    <?php if ($excerpt) : ?>
        <div class="entry-summary" <?php hybrid_attr('entry-summary'); ?>>
            <?php echo strip_tags(wp_trim_words(get_the_excerpt(), (int) $excerpt_num)); ?>
        </div><!-- .entry-summary -->
    <?php endif; ?>

    <?php if ($meta) : ?>
        <footer class="entry-meta">
            <?php flashmagz_posted_on(); ?>
        </footer><!-- .entry-meta -->
    <?php endif; ?>

</article><!-- #post-## -->
